unit ContactEdit;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  BasicEdit, Db, StdCtrls, ExtCtrls, Mask, DBCtrls, Grids,
  DBGrids, ComCtrls,
  ovTypes, ovComponents, ovIObjects, ovVirtualDataSet, ovDataSet;

type
  TContactEditForm = class(TBasicEditForm)
    CountryEdit: TDBLookupComboBox;
    CountryLabel: TLabel;
    CityEdit: TDBEdit;
    CityLabel: TLabel;
    MidBevel: TBevel;
    NameEdit: TDBEdit;
    NameLabel: TLabel;
    PhonesLabel: TLabel;
    PhonesGrid: TDBGrid;
    StreetLabel: TLabel;
    StateEdit: TDBEdit;
    StateLabel: TLabel;
    StreetEdit: TDBMemo;
    ZipEdit: TDBEdit;
    ZipLabel: TLabel;
    CategoryLabel: TLabel;
    CategoryEdit: TDBLookupComboBox;
    ContactSource: TDataSource;
    ContactExposer: TovExposer;
    PhoneExposer: TovExposer;
    PhoneSource: TDataSource;
    CountryExposer: TovExposer;
    CountrySource: TDataSource;
    CategoryExposer: TovExposer;
    CategorySource: TDataSource;
  private
  protected
    function GetIsValid: Boolean; override;
    procedure SetSubject(const Value: IovObject); override;
  public
  end;

implementation

{$R *.DFM}

uses Model;

{ TContactEditForm }

function TContactEditForm.GetIsValid: Boolean;
begin
  Result := NameEdit.Text <> '';
end;

procedure TContactEditForm.SetSubject(const Value: IovObject);
begin
  inherited;
  if Not ContactExposer.FindObject(Value.ObjectId) then
    raise Exception.Create('  ')
end;

end.
