unit Data;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, DB,
  ovTypes, ovComponents, ovIObjects, ovObjects, ovModel,
  ovModelStorage, ovBDEAdapter, DBTables, ovModelEvents;

type
  TdmModel = class(TDataModule)
    ovModel: TovModel;
    ovModelStorage: TovModelStorage;
    Database: TDatabase;
    ovBDEAdapter: TovBDEAdapter;
    ovModelEvents: TovModelEvents;
    procedure DataModuleCreate(Sender: TObject);
    procedure Event0CreateObject(Sender: TovModelEvents;
      AModelObject: TModelObject; AObjectId: Integer);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  dmModel: TdmModel;

implementation

uses ovDatabase;

{$R *.DFM}

procedure TdmModel.DataModuleCreate(Sender: TObject);
begin
  Database.Params.Values['PATH'] := ExtractFilePath(Application.ExeName) + 'Database';
end;

procedure TdmModel.Event0CreateObject(Sender: TovModelEvents;
  AModelObject: TModelObject; AObjectId: Integer);
begin
  {     }
  Sender.GetObject(AModelObject, AObjectId)[''].AsString := ''
end;

end.
