unit ovFReportLinks;

interface

uses SysUtils, Classes, DB, ovDataSet, ovDataObjects, ovDataLinks,
     frxClass, frxDBSet;

type
  TovFReportDataLinkController = class(TovDataLinkController)
  private
  protected
    procedure SetActive(Value: Boolean); override;
  end;

implementation

{ TovFReportDataLinkController }

procedure TovFReportDataLinkController.SetActive(Value: Boolean);
var
  ADataSet: TovDataSet;
  DBDataSet: TfrxDBDataSet;
//  I: Integer;
begin
  if Value then
  with Link do
  begin
    if Component = nil then
      raise Exception.Create('     ');

    if Not (Component is TfrxDBDataSet) then
      raise Exception.Create('   ');

    DBDataSet := TfrxDBDataSet(Component);

    if Value then
    begin
      ADataSet := Owner.DataObjects[DataObject];
      DBDataSet.DataSet := ADataSet;

      //    
      DBDataSet.UserName := DataObject;

      //   
//      DBDataSet.FieldAliases.Clear;
//      for I := 0 to ADataSet.Fields.Count - 1 do
//        DBDataSet.FieldAliases.Values[ADataSet.Fields[I].FieldName] :=
//          ADataSet.AttributeByField(ADataSet.Fields[I]).Name;
    end;
  end
end;

initialization
  RegisterDataLinkController(TovFReportDataLinkController);
finalization
  UnregisterDataLinkController(TovFReportDataLinkController);
end.
