unit sdDataObjectNavigator;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ComCtrls, ImgList, ovDataObjects, ovDataObjectTreeViewBuilder;

type
  TfmDataObjectNavigator = class(TForm)
    ImageList: TImageList;
    DataTree: TTreeView;
    TreeViewBuilder: TovDataObjectTreeViewBuilder;
    procedure FormDestroy(Sender: TObject);
  private
    { Private declarations }
  protected
  public
    procedure RefreshDataTree(ADataObjects: TovDataObjects);
    { Public declarations }
  end;

var
  fmDataObjectNavigator: TfmDataObjectNavigator;

implementation

uses ovDataSet;

{$R *.dfm}

{ TfmDataObjectNavigator }

procedure TfmDataObjectNavigator.FormDestroy(Sender: TObject);
begin
  fmDataObjectNavigator := nil
end;

procedure TfmDataObjectNavigator.RefreshDataTree(ADataObjects: TovDataObjects);
begin
  TreeViewBuilder.DataObjects := ADataObjects;
  TreeViewBuilder.RefreshTreeView;
end;

end.
