unit ovObjectDeleteDlg;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls, ComCtrls, ImgList, Menus, ActnList,
  ovTypes, ovModel, ovObjectInspector, ovIObjects, ovComponents;

type
  TfmObjectDeleteDialog = class(TForm)
    PageControl: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Label1: TLabel;
    Image2: TImage;
    BitBtn1: TBitBtn;
    DeletedObjectInspector: TovObjectInspector;
    ExplorerImages: TImageList;
    ReferencingObjectsInspector: TovObjectInspector;
    Button1: TButton;
    Bevel1: TBevel;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function ShowDeleteObjectDialog(AObject: IovObject): Boolean;

implementation

{$R *.dfm}

function ShowDeleteObjectDialog(AObject: IovObject): Boolean;
begin
  with TfmObjectDeleteDialog.Create(Application) do
  try
    //   
    DeletedObjectInspector.ShowObject(AObject);
    //   
    ReferencingObjectsInspector.ShowObjects(AObject.GetReferencingObjects(False));
    Result := ShowModal = mrOk;
    if Result then AObject.Delete(dmDeleteRefsObjects)
  finally
    Free
  end;
end;

end.
