unit ovModelEditorTypes;

interface

uses ovModel;

type
  TProcessMsgProc = procedure(ModelElement: TModelElement; Data: TObject) of
    object;
  TInspectMsgProc = procedure(ModelElement: TModelElement; Data: TObject) of object;
  IMessageLogger = interface(IInterface)
    procedure AddMessage(MsgType, MsgText: String; ModelElement: TModelElement;
      ProcessMsgProc: TProcessMsgProc = nil; InspectMsgProc: TInspectMsgProc = nil;
      Data: TObject = nil);
  end;

implementation

end.
