unit ovObjectSelection;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, Buttons, DBCtrls, ExtCtrls, Grids, DBGrids, Db, ovComponents,
  ovTypes, ovVirtualDataSet, ovDataSet;

type
  TfrmObjectSelectionDlg = class(TForm)
    DBGrid: TDBGrid;
    Panel1: TPanel;
    DBNavigator1: TDBNavigator;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Exposer: TovExposer;
    DataSource: TDataSource;
    procedure DBGridDblClick(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function SelectObject(ACaption: String; AModel: TovModel; AClassName: String; 
  var ObjectId: TOID): Boolean;

var
  frmObjectSelectionDlg: TfrmObjectSelectionDlg;

implementation

uses ovConsts;

{$R *.DFM}

{{
    
}
function SelectObject(ACaption: String; AModel: TovModel; AClassName: String; 
  var ObjectId: TOID): Boolean;
begin
  with TfrmObjectSelectionDlg.Create(Application) do
  try
    Caption := ACaption;
    Exposer.Model := AModel;
    Exposer.ObjectClassName := AClassName;
    Exposer.Open;

    Result := ShowModal = mrOk;
    if Result then
      ObjectId := Exposer.CurrentObjectId;
  finally
    Free
  end;
end;

{ TObjectSelectionDlg }

procedure TfrmObjectSelectionDlg.DBGridDblClick(Sender: TObject);
begin
  ModalResult := mrOk
end;

end.
