unit ovCxNewGridView;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, cxLookAndFeelPainters, StdCtrls, cxButtons, cxControls,
  cxContainer, cxEdit, cxGroupBox, cxRadioGroup;

type
  TfmNewGridViewDlg = class(TForm)
    rgViewKind: TcxRadioGroup;
    cxButton1: TcxButton;
    cxButton2: TcxButton;
  private
    { Private declarations }
  public
    { Public declarations }
  end;

  TViewType = (vtTableView, vtBandedTableView, vtCardView);

function SelectViewType(ACaption: String; var ViewType: TViewType): Boolean;

implementation

{$R *.dfm}

function SelectViewType(ACaption: String; var ViewType: TViewType): Boolean;
begin
  with TfmNewGridViewDlg.Create(Application) do
  try
    Caption := ACaption;
    Result := ShowModal = mrOk;
    if Result then ViewType := TViewType(rgViewKind.ItemIndex)
  finally
    Free
  end;
end;

end.
