unit ovInfoDlg;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls;

type
  TfrmInfoDlg = class(TForm)
    Panel: TPanel;
    Memo: TMemo;
    Button1: TButton;
    Button2: TButton;
    procedure FormKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

function ShowInfoDlg(Title, Msg: String): Boolean;

var
  frmInfoDlg: TfrmInfoDlg;

implementation

{$R *.DFM}

function ShowInfoDlg(Title, Msg: String): Boolean;
begin
  with TfrmInfoDlg.Create(Application) do begin
    try
      Caption := Title;
      Memo.Lines.Text := Msg;
      Result := ShowModal = mrOk;
    finally
      Free
    end;
  end
end;


procedure TfrmInfoDlg.FormKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then ModalResult := mrOk else
  if Key = #27 then ModalResult := mrCancel
end;

end.
